Package org.kie.api.runtime.conf

# Class TimerJobFactoryOption

java.lang.Object
org.kie.api.runtime.conf.TimerJobFactoryOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`

public class TimerJobFactoryOption extends Object implements SingleValueKieSessionOption
A class for the timer job factory manager configuration.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<TimerJobFactoryOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the timer job factory manager configuration

  ### Fields inherited from interface org.kie.api.runtime.conf.KieSessionOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static TimerJobFactoryOption`
  `get(String timerJobType)`
  This is a factory method for this timer job factory manager configuration.
  `String`
  `getPropertyName()`
  `String`
  `getTimerJobType()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.runtime.conf.KieSessionOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the timer job factory manager configuration
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<TimerJobFactoryOption> KEY

- ## Method Details

  - ### get

    public static TimerJobFactoryOption get(String timerJobType)
    This is a factory method for this timer job factory manager configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `timerJobType` - the identifier for the belie system
    Returns:
      the actual type safe timer job factory manager configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### getTimerJobType

    public String getTimerJobType()
    Returns:
      the configured timer job factory manager

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`